GNU bug report logs - #53231
28.0.90; [PATCH] GNU ELPA: Enable sentence-end-double-space in README

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Y. E." <yet@HIDDEN>; Keywords: patch; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 53231 <at> debbugs.gnu.org and "Y. E." <yet@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 53231 <at> debbugs.gnu.org:


Received: (at 53231) by debbugs.gnu.org; 20 Jan 2022 09:12:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 20 04:12:04 2022
Received: from localhost ([127.0.0.1]:56308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nATUC-0003OJ-3X
	for submit <at> debbugs.gnu.org; Thu, 20 Jan 2022 04:12:04 -0500
Received: from quimby.gnus.org ([95.216.78.240]:46734)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nATU8-0003Nf-HN
 for 53231 <at> debbugs.gnu.org; Thu, 20 Jan 2022 04:12:03 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=jxldNz6N3/dgJO9ah7S1/LLJyUirj3ATw8uXejQVtN4=; b=oQqp85jxRKbuG/hgBTqzp5uRtU
 pYVnVvXiAa3MKA90QO6P8P/de50YnlMHIBhVTvn+yvHSeJAz297KjjWNO1UHvcImTk9B4IclzefA5
 9SNKiyrspT0wD9jSZZIyPoAcjDKBGmj1y2kMKLdYnlEu3OCQziRiKWBiWuklkU+FLFjM=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nATTy-0003fN-Hk; Thu, 20 Jan 2022 10:11:52 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#53231: 28.0.90; [PATCH] GNU ELPA: Enable
 sentence-end-double-space in README
References: <m28rvejokz.fsf@HIDDEN> <jwv8rvecaj7.fsf-monnier+emacs@HIDDEN>
X-Now-Playing: DMX Krew's _We Are DMX_: "Konnichi Wa! (Instrumental)"
Date: Thu, 20 Jan 2022 10:11:49 +0100
In-Reply-To: <jwv8rvecaj7.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Mon, 17 Jan 2022 16:33:46 -0500")
Message-ID: <87ilue6aay.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Stefan Monnier <monnier@HIDDEN> writes: >> Okay,
 then I'm attaching another patch, with the .dir-locals.el file. >> It's based
 on the Emacs's version and similar to the one added to the >> branch
 'elpa-admin' via a390566f71a52e9d5d71eae56e3 [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53231
Cc: "Y. E." <yet@HIDDEN>, 53231 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

>> Okay, then I'm attaching another patch, with the .dir-locals.el file.
>> It's based on the Emacs's version and similar to the one added to the
>> branch 'elpa-admin' via a390566f71a52e9d5d71eae56e3c2e92d2c4a2f9.
>
> Thanks, pushed!

So I guess that fixes the issue, and I'm therefore closing this bug
report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53231; Package emacs. Full text available.

Message received at 53231 <at> debbugs.gnu.org:


Received: (at 53231) by debbugs.gnu.org; 17 Jan 2022 21:33:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 17 16:33:59 2022
Received: from localhost ([127.0.0.1]:48307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9ZdX-0007J6-8N
	for submit <at> debbugs.gnu.org; Mon, 17 Jan 2022 16:33:59 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:57401)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1n9ZdT-0007Is-MF
 for 53231 <at> debbugs.gnu.org; Mon, 17 Jan 2022 16:33:57 -0500
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id CF65A4424A6;
 Mon, 17 Jan 2022 16:33:49 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 931BC4418D1;
 Mon, 17 Jan 2022 16:33:48 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1642455228;
 bh=6ZLW+GIpCZKOGVwpxjsuS1o356aHdIwxugatjPve6v0=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=QhPX99xfaGJ6FH6Ynlmmvdi2IUQrwXpGQ06K+BBSGuQpdPdzHfCXT1LVbEmfxaCp7
 qjKESad/VFUdwChOrf/55qt/Vky1VdfgFY1xQUvDs177jIPXdSGQVSPqsJG7p2iRp7
 AYjitn/wG75EE6YAly5uMbD7YK5Pje4EdEzUBiLhNRCDELtaJPbuJg9MSq6wTmB9B+
 8Wo+wGFvUfCYlcaoTQbajlDVlTRl5HaLnng6KNv0CmaTJpdX3rBLhNGNMvMK5zOkvt
 8cBmZIkGAZ2KLGdoE++CRFpa7Ql7Uf1yxbe0XeMbkVvKzco2w7LOJYafn7WKJvtDBH
 2ipQXiRRZMXAQ==
Received: from alfajor (lechon.iro.umontreal.ca [132.204.27.242])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id 370F1120510;
 Mon, 17 Jan 2022 16:33:48 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Y. E. <yet@HIDDEN>
Subject: Re: bug#53231: 28.0.90; [PATCH] GNU ELPA: Enable
 sentence-end-double-space in README
Message-ID: <jwv8rvecaj7.fsf-monnier+emacs@HIDDEN>
References: <m28rvejokz.fsf@HIDDEN>
Date: Mon, 17 Jan 2022 16:33:46 -0500
In-Reply-To: <m28rvejokz.fsf@HIDDEN> (Y. E.'s message of "Mon, 17 Jan 2022
 18:48:12 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.202 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53231
Cc: larsi@HIDDEN, 53231 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Okay, then I'm attaching another patch, with the .dir-locals.el file.
> It's based on the Emacs's version and similar to the one added to the
> branch 'elpa-admin' via a390566f71a52e9d5d71eae56e3c2e92d2c4a2f9.

Thanks, pushed!


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53231; Package emacs. Full text available.

Message received at 53231 <at> debbugs.gnu.org:


Received: (at 53231) by debbugs.gnu.org; 17 Jan 2022 16:48:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 17 11:48:21 2022
Received: from localhost ([127.0.0.1]:47742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n9VB7-0005Ms-1o
	for submit <at> debbugs.gnu.org; Mon, 17 Jan 2022 11:48:21 -0500
Received: from out2.migadu.com ([188.165.223.204]:13562)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yet@HIDDEN>) id 1n9VB2-0005Mi-7S
 for 53231 <at> debbugs.gnu.org; Mon, 17 Jan 2022 11:48:19 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ego.team; s=key1;
 t=1642438094; h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:cc:mime-version:mime-version:
 content-type:content-type:in-reply-to:in-reply-to;
 bh=k1XfnZU6IQwJyt4ZFnHuSVwOEyCZFKIiMVmDTtYb47o=;
 b=YmEy8ctJ25u8QBIiriSARvOnJ3PfgkDAlZyCqYRWrpSCj5H5EO2O8npNl9HeYNLe1YBUMz
 RTPIrlbCN0TefCFb7H3Y/9jkyoAoukJ+joMkr/e/b3QWqLCILN8dazdboUeLFR6ESJFFpC
 puF4Eos0ua9i+NM6QFLxIY5r8aMhyX8=
From: Y. E. <yet@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#53231: 28.0.90; [PATCH] GNU ELPA: Enable
 sentence-end-double-space in README
In-Reply-To: <jwv8rvipa7b.fsf-monnier+emacs@HIDDEN> (message from Stefan
 Monnier on Fri, 14 Jan 2022 11:15:19 -0500)
Date: Mon, 17 Jan 2022 18:48:12 +0200
Message-ID: <m28rvejokz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: ego.team
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 53231
Cc: larsi@HIDDEN, yet@HIDDEN, 53231 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: "Y. E." <yet@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

> Stefan Monnier <monnier@HIDDEN> writes:

> Lars Ingebrigtsen [2022-01-14 08:53:54] wrote:
>> Y. E. <yet@HIDDEN> writes:
>>> This update is for those (like me) who have 'sentence-end-double-space'
>>> disabled in their configurations. As far as I understand,
>>> '.dir-locals.el' is not added on purpose to this directory, right?
>> I'm not sure -- perhaps Stefan has some comments; added to the CCs.
>
> No particular opinion, but I can't see any reason why we would not want
> a `.dir-locals.el` so adding it to `.dir-locals.el` is also a good idea.

Okay, then I'm attaching another patch, with the .dir-locals.el file.
It's based on the Emacs's version and similar to the one added to the
branch 'elpa-admin' via a390566f71a52e9d5d71eae56e3c2e92d2c4a2f9.

The difference is the attached defines settings for 'lisp-data-mode'
instead of 'emacs-lisp-mode'.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0001-Add-.dir-locals.el.patch
Content-Description: Add .dir-locals.el

From b470bb8c6c82cdbb45cd9535b77b97fe8dfa99cd Mon Sep 17 00:00:00 2001
From: YugaEgo <yet@HIDDEN>
Date: Mon, 17 Jan 2022 18:39:55 +0200
Subject: [PATCH] Add .dir-locals.el

* .dir-locals.el: New file.
* README (Local variables): Move fill-column to .dir-locals.el.
* elpa-packages (Local Variables): Move indent-tabs-mode to .dir-locals.el.
---
 .dir-locals.el | 17 +++++++++++++++++
 README         |  1 -
 elpa-packages  |  4 ----
 3 files changed, 17 insertions(+), 5 deletions(-)
 create mode 100644 .dir-locals.el

diff --git a/.dir-locals.el b/.dir-locals.el
new file mode 100644
index 0000000000..949deb6c78
--- /dev/null
+++ b/.dir-locals.el
@@ -0,0 +1,17 @@
+;;; Directory Local Variables
+;;; For more information see (info "(emacs) Directory Variables")
+
+((nil . ((tab-width . 8)
+         (sentence-end-double-space . t)
+         (fill-column . 70)
+         (bug-reference-url-format . "https://debbugs.gnu.org/%s")))
+ (log-edit-mode . ((log-edit-font-lock-gnu-style . t)
+                   (log-edit-setup-add-author . t)))
+ (change-log-mode . ((add-log-time-zone-rule . t)
+                     (fill-column . 74)
+                     (mode . bug-reference)))
+ (diff-mode . ((mode . whitespace)))
+ (lisp-data-mode . ((indent-tabs-mode . nil)
+                    (electric-quote-comment . nil)
+                    (electric-quote-string . nil)
+                    (mode . bug-reference-prog))))
diff --git a/README b/README
index f05e9e58ac..cb437651fc 100644
--- a/README
+++ b/README
@@ -587,7 +587,6 @@ along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
 #+BEGIN_COMMENT
 Local variables:
 mode: org
-fill-column: 70
 paragraph-separate: "[ 	]*$"
 time-stamp-pattern: "4/#\\+DATE: %Y-%02m-%02d$"
 end:
diff --git a/elpa-packages b/elpa-packages
index 902fce5adb..859054226c 100644
--- a/elpa-packages
+++ b/elpa-packages
@@ -578,7 +578,3 @@
  ("zones"		:url nil)  ;https://www.emacswiki.org/emacs/zones.el
  ("ztree"		:url "https://github.com/fourier/ztree")
  )
-
-;; Local Variables:
-;; indent-tabs-mode: nil
-;; End:
-- 
2.34.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53231; Package emacs. Full text available.

Message received at 53231 <at> debbugs.gnu.org:


Received: (at 53231) by debbugs.gnu.org; 14 Jan 2022 16:15:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 14 11:15:30 2022
Received: from localhost ([127.0.0.1]:37921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8PEg-0005NG-LY
	for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 11:15:30 -0500
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:46051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1n8PEe-0005N0-5k
 for 53231 <at> debbugs.gnu.org; Fri, 14 Jan 2022 11:15:29 -0500
Received: from pmg1.iro.umontreal.ca (localhost.localdomain [127.0.0.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 53EDA100006;
 Fri, 14 Jan 2022 11:15:22 -0500 (EST)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg1.iro.umontreal.ca (Proxmox) with ESMTP id 063481001C2;
 Fri, 14 Jan 2022 11:15:21 -0500 (EST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1642176921;
 bh=hVJOcJIsqNasBR6DAqTrFBMZLhEh7j4RRDzKba0R2L8=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To:From;
 b=nS+k9pr10B8NVHDaizAurSgaYrzpCKU0+tho5FPsAgEcjbneH81BcGoK3MXXfvK6P
 BCjz3AvLhKqnTn/ansO6RS2Fqt0qbcaT+AF6Ux5AdOXOmumgfDR3KXpJlNFxgr3BvK
 xVIrHn12F8ItISepqhV/bPTzRmPez2Q+i+J4n/37gwWA1roG3EaLRXHe//cIs7UgXC
 UjBbF4vD2lCqA5Wspnx/xFhuOhkcQbpO2GbvtbiY/2lrPBJBS/fK4O1q3pq3wHWUos
 Z4G9BSsokG8S3Mhz/2ub/FJdCNTtC8KEW1QMTX9S4BCS46PvVm7Bg887RnHhbbO7p0
 /GGHaniNwRIgA==
Received: from pastel (unknown [216.154.30.173])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id CD199120297;
 Fri, 14 Jan 2022 11:15:20 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#53231: 28.0.90; [PATCH] GNU ELPA: Enable
 sentence-end-double-space in README
Message-ID: <jwv8rvipa7b.fsf-monnier+emacs@HIDDEN>
References: <m2fspru1ag.fsf@HIDDEN> <87a6fyu50t.fsf@HIDDEN>
Date: Fri, 14 Jan 2022 11:15:19 -0500
In-Reply-To: <87a6fyu50t.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 14 Jan 2022 08:53:54 +0100")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL 0.116 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53231
Cc: "Y. E." <yet@HIDDEN>, 53231 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen [2022-01-14 08:53:54] wrote:
> Y. E. <yet@HIDDEN> writes:
>> This update is for those (like me) who have 'sentence-end-double-space'
>> disabled in their configurations. As far as I understand,
>> '.dir-locals.el' is not added on purpose to this directory, right?
> I'm not sure -- perhaps Stefan has some comments; added to the CCs.

No particular opinion, but I can't see any reason why we would not want
a `.dir-locals.el` so adding it to `.dir-locals.el` is also a good idea.


        Stefan





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53231; Package emacs. Full text available.

Message received at 53231 <at> debbugs.gnu.org:


Received: (at 53231) by debbugs.gnu.org; 14 Jan 2022 07:54:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 14 02:54:07 2022
Received: from localhost ([127.0.0.1]:35356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8HPT-0001Q4-4V
	for submit <at> debbugs.gnu.org; Fri, 14 Jan 2022 02:54:07 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8HPR-0001PC-9k
 for 53231 <at> debbugs.gnu.org; Fri, 14 Jan 2022 02:54:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=UFfb1qvw4TvUbpRaJEmzBUnKw1DHJHtofbF89U458ls=; b=jkKO0aLjZPc+jJzeR/blVhX7gh
 MJdYPPX4cBEvHNDrZGUDSpnq14BIm3BnQygipPy0ko9hYB+FHV9jGmgxP8ttfJuhgCD2PyFr/b4iX
 tBSvuZwqpUkYfMMYRuH//1PHeIC+Pk5ZfrwJJk3+zAWBhqkrzJtEvErvFCQ9gTC4Rhfo=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8HPH-0001SO-IG; Fri, 14 Jan 2022 08:53:58 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Y. E. <yet@HIDDEN>
Subject: Re: bug#53231: 28.0.90; [PATCH] GNU ELPA: Enable
 sentence-end-double-space in README
References: <m2fspru1ag.fsf@HIDDEN>
X-Now-Playing: Various's _I Wanna Be Kate: The Songs of Kate Bush_: "And
 Dream Of Sheep (2020 Remaster)"
Date: Fri, 14 Jan 2022 08:53:54 +0100
In-Reply-To: <m2fspru1ag.fsf@HIDDEN> (Y. E.'s message of "Thu, 13 Jan 2022
 17:02:15 +0200")
Message-ID: <87a6fyu50t.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Y. E. <yet@HIDDEN> writes: > This update is for those (like
 me) who have 'sentence-end-double-space' > disabled in their configurations.
 As far as I understand, > '.dir-locals.el' is not added on purpose to this
 directory, righ [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 53231
Cc: 53231 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Y. E. <yet@HIDDEN> writes:

> This update is for those (like me) who have 'sentence-end-double-space'
> disabled in their configurations. As far as I understand,
> '.dir-locals.el' is not added on purpose to this directory, right?

I'm not sure -- perhaps Stefan has some comments; added to the CCs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#53231; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jan 2022 15:02:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 13 10:02:30 2022
Received: from localhost ([127.0.0.1]:34227 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n81cT-00049B-Vp
	for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 10:02:30 -0500
Received: from lists.gnu.org ([209.51.188.17]:38380)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <yet@HIDDEN>) id 1n81cR-000493-Mn
 for submit <at> debbugs.gnu.org; Thu, 13 Jan 2022 10:02:28 -0500
Received: from eggs.gnu.org ([209.51.188.92]:47312)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yet@HIDDEN>) id 1n81cP-0002vG-SE
 for bug-gnu-emacs@HIDDEN; Thu, 13 Jan 2022 10:02:27 -0500
Received: from out0.migadu.com ([94.23.1.103]:49914)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <yet@HIDDEN>) id 1n81cN-0003mb-6n
 for bug-gnu-emacs@HIDDEN; Thu, 13 Jan 2022 10:02:25 -0500
X-Report-Abuse: Please report any abuse attempt to abuse@HIDDEN and
 include these headers.
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=ego.team; s=key1;
 t=1642086137; h=from:from:reply-to:reply-to:subject:subject:date:date:
 message-id:message-id:to:to:cc:mime-version:mime-version:
 content-type:content-type; bh=aWTBTqwsa5YZd859glvgXrhwpB9dFozWVE7tTICSPqA=;
 b=V+Uxa+ttUmaKjSPxTzp9EE0Ioq2LnlJpzU6i/o+VpuBz3nl/Crg+bY4LJDwh8GjGzwKL7i
 suzEiz4F1ku95prQB1/D+otaB9f8P8bvyCjPPYK5mZM+Y9ZWKl7w9gaxAGlP56VM9DsyPp
 5Z3snnJuwenZLcHo43wAGRvwP0wWt98=
From: Y. E. <yet@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.90; [PATCH] GNU ELPA: Enable sentence-end-double-space in README
Date: Thu, 13 Jan 2022 17:02:15 +0200
Message-ID: <m2fspru1ag.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Migadu-Flow: FLOW_OUT
X-Migadu-Auth-User: ego.team
Received-SPF: pass client-ip=94.23.1.103; envelope-from=yet@HIDDEN;
 helo=out0.migadu.com
X-Spam_score_int: -23
X-Spam_score: -2.4
X-Spam_bar: --
X-Spam_report: (-2.4 / 5.0 requ) BAYES_00=-1.9, DKIM_INVALID=0.1,
 DKIM_SIGNED=0.1, RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001,
 RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: "Y. E." <yet@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--=-=-=
Content-Type: text/plain


This update is for those (like me) who have 'sentence-end-double-space'
disabled in their configurations. As far as I understand,
'.dir-locals.el' is not added on purpose to this directory, right?

Thanks,
YE


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-README-Local-variables-Enable-sentence-end-double-sp.patch
Content-Description: README (Local variables): Enable sentence-end-double-space

From a8ab2128960e79b5df28fa8a02f30481784188d5 Mon Sep 17 00:00:00 2001
From: YugaEgo <yet@HIDDEN>
Date: Thu, 13 Jan 2022 16:51:07 +0200
Subject: [PATCH] * README (Local variables): Enable sentence-end-double-space

---
 README | 1 +
 1 file changed, 1 insertion(+)

diff --git a/README b/README
index f05e9e58ac..ff2a5d0f92 100644
--- a/README
+++ b/README
@@ -588,6 +588,7 @@ along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
 Local variables:
 mode: org
 fill-column: 70
+sentence-end-double-space: t
 paragraph-separate: "[ 	]*$"
 time-stamp-pattern: "4/#\\+DATE: %Y-%02m-%02d$"
 end:
-- 
2.34.1


--=-=-=--




Acknowledgement sent to "Y. E." <yet@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#53231; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 20 Jan 2022 09:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.